server:
  port: 8091
  tomcat:
    max-swallow-size: -1
  error:
    include-exception: true
    include-stacktrace: ALWAYS
    include-message: ALWAYS
  servlet:
    context-path: /jeecgboot
  compression:
    enabled: true
    min-response-size: 1024
    mime-types: application/javascript,application/json,application/xml,text/html,text/xml,text/plain,text/css,image/*

spring:
  rabbitmq:
    host: 47.96.76.72
    port: 5672
    username: admin
    password: admin123
  servlet:
    multipart:
      max-file-size: 500MB
      max-request-size: 500MB
  #json 时间戳统一转换
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  jpa:
    open-in-view: false
  aop:
    proxy-target-class: true
  #配置freemarker
  freemarker:
    # 设置模板后缀名
    suffix: .ftl
    # 设置文档类型
    content-type: text/html
    # 设置页面编码格式
    charset: UTF-8
    # 设置页面缓存
    cache: false
    prefer-file-system-access: false
    # 设置ftl文件路径
    template-loader-path:
      - classpath:/templates
    template_update_delay: 0
  # 设置静态文件路径，js,css等
  mvc:
    static-path-pattern: /**
    #Spring Boot 2.6+后映射匹配的默认策略已从AntPathMatcher更改为PathPatternParser,需要手动指定为ant-path-matcher
    pathmatch:
      matching-strategy: ant_path_matcher
  resource:
    static-locations: classpath:/static/,classpath:/public/
  datasource:
    dynamic:
      datasource:
        master:
          url: jdbc:mysql://47.96.76.72:3306/ejet?characterEncoding=UTF-8&useUnicode=true&useSSL=false&tinyInt1isBit=false&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai
          username: root
          password: Baijie!19032299901
          driver-class-name: com.mysql.cj.jdbc.Driver

  #redis 配置
  redis:
    database: 1
    host: 47.96.76.72
    port: 6379
    password: baijie!19032299901
    lettuce:
      pool:
        min-idle: 10
        max-idle: 10
        max-active: 10
#mybatis plus 设置
mybatis-plus:
  mapper-locations: classpath*:org/jeecg/modules/**/xml/*Mapper.xml
  global-config:
    # 关闭MP3.0自带的banner
    banner: false
    db-config:
      #主键类型  0:"数据库ID自增",1:"该类型为未设置主键类型", 2:"用户输入ID",3:"全局唯一ID (数字类型唯一ID)", 4:"全局唯一ID UUID",5:"字符串全局唯一ID (idWorker 的字符串表示)";
      id-type: ASSIGN_ID
      # 默认数据库表下划线命名
      table-underline: true
  configuration:
    # 这个配置会将执行的sql打印出来，在开发或测试的时候可以用
    #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # 返回类型为Map,显示null对应的字段
    call-setters-on-nulls: true

jeecg:
  # 平台上线安全配置
  firewall:
    # 数据源安全 (开启后，Online报表和图表的数据源为必填)
    dataSourceSafe: false
    # 低代码模式（dev:开发模式，prod:发布模式——关闭所有在线开发配置能力）
    lowCodeMode: prod
  # 签名密钥串(前后端要一致，正式发布请自行修改)
  signatureSecret: dd05f1c54d63749eda95f9fa6d49v442a
  #签名拦截接口
  signUrls: /sys/dict/getDictItems/*,/sys/dict/loadDict/*,/sys/dict/loadDictOrderByValue/*,/sys/dict/loadDictItem/*,/sys/dict/loadTreeData,/sys/api/queryTableDictItemsByCode,/sys/api/queryFilterTableDictInfo,/sys/api/queryTableDictByKeys,/sys/api/translateDictFromTable,/sys/api/translateDictFromTableByKeys
  # 本地：local
  # Minio：minio
  # 阿里云：alioss
  uploadType: alioss
  # 前端访问地址
  domainUrl:
    pc: http://localhost:3100
    app: http://localhost:8051
  path:
    #文件上传根目录 设置
    upload: /opt/jeecg-boot/upload
    #webapp文件路径
    webapp: /opt/jeecg-boot/webapp
  shiro:
    # 不做校验的路径
    excludeUrls: /test/jeecgDemo/demo3,/test/jeecgDemo/redisDemo/**,/bigscreen/category/**,/bigscreen/visual/**,/bigscreen/map/**,/api/getUserInfo
  #阿里云oss存储和大鱼短信秘钥配置
  oss:
    accessKey: LTAI5t6JevJ6TNur8zdNfGRB
    secretKey: skBARJ2erdxNkJpEklU24KumrGx8R6
    endpoint: oss-cn-hangzhou.aliyuncs.com
    bucketName: bucket-bison
  #    staticDomain: https://static.jeecg.com
  # 在线预览文件服务器地址配置
  file-view-domain: http://fileview.jeecg.com
  # minio文件上传
  minio:
    minio_url: http://minio.jeecg.com
    minio_name: ??
    minio_pass: ??
    bucketName: otatest
#cas单点登录
cas:
  prefixUrl: http://cas.example.org:8443/cas
#Mybatis输出sql日志
logging:
  level:
    org.jeecg.modules.system.mapper: info
#swagger
knife4j:
  #开启增强配置
  enable: false
  #开启生产环境屏蔽
  production: true
  basic:
    enable: false
    username: jeecg
    password: jeecg1314
#第三方登录
justauth:
  request:
    dingtalk-prefix: http://8.149.136.155:9001/jeecgboot
    wechat-prefix: http://8.149.136.155:9001/jeecgboot
  enabled: true
  type:
    GITHUB:
      client-id: ??
      client-secret: ??
      redirect-uri: http://sso.test.com:8080/jeecg-boot/sys/thirdLogin/github/callback
    WECHAT_ENTERPRISE:
      client-id: ??
      client-secret: ??
      redirect-uri: http://sso.test.com:8080/jeecg-boot/sys/thirdLogin/wechat_enterprise/callback
      agent-id: ??
    DINGTALK:
      client-id: dingzsyowp6r0s84bmem
      client-secret: pM1UbfUdk8R1Z62Gh8gdBYdbXNX3Jw-XiRK79381R_cFFbTNio6BIXICeXM87W1F
      redirect-uri: http://8.149.136.155:9001/jeecgboot/sys/thirdLogin/dingtalk/callback
      ignore-check-state: true
      agent-id: 3121468636
    WECHAT_OPEN:
      client-id: ??
      client-secret: ??
      redirect-uri: http://sso.test.com:8080/jeecg-boot/sys/thirdLogin/wechat_open/callback
  cache:
    type: default
    prefix: 'demo::'
    timeout: 1h

aliyun:
  email:
    host: "smtp.qiye.aliyun.com"
    port: 465
    ssl: true
    from: "Ejet <it@ejet.com>"
    user: "it@ejet.com"
    token: "3Ihv511avNwh47I5"
    limit:
      single-of-hour: 5
      single-of-day: 10
      total-of-hour: 300
      total-of-day: 5000
  sms:
    ak: "LTAI5tLFnm8N4yGrrC5biJqS"
    sk: "vzhgZgDISHEBCXb8Y1gUUxAFUA4KdO"

shop:
  user:
    partner:
      token-key: "ocfMuJ6SHIbFTuZwbtvlJY8dprAeZg7hxXv4hwrUx2FzbDEV0DqlCeXeuSsseeFlvuT84zCumODHcSZA4XvEWIEu28Qqd89uBDqYiSwoi0pIazpLtPpeKDK8cltRXBxvUEMFIdwLtuAdLze3Xp2CS3zAxawCL713VKRUuhcvQ6q8aj73PoG9J9W6mfHicAaBBg1aDTbVSruBAi6HQ4vDR05TASBCfRoTLe3iV34WRea4Lc96FL9Km4MBGxkAX004"
      token-expire: 24